Index: nutchez-0.2/src/test/client_install
===================================================================
--- nutchez-0.2/src/test/client_install	(revision 167)
+++ nutchez-0.2/src/test/client_install	(revision 169)
@@ -14,11 +14,24 @@
 # 需要 master_install 設定的參數區
 # Master IP here
-Master_IP_Address=192.168.56.101
+Master_IP_Address=input.your.master.ip_address
 # Master Hostname here
-Master_Hostname=shunfa-VBox1
+Master_Hostname=input_your_master_hostname
 # 此檔自己用的參數區
 Linux_Distribution="";
 Linux_Version="";
 Nutchuser_Passwd="xxxxxxxxxx";
+
+###print function###
+function debug_info () {
+  if [ $? -eq 0 ]; then
+    echo -e "\033[1;35;40m info - $1 \033[0m"
+  fi
+}
+
+function show_info () {
+  if [ $? -eq 0 ]; then
+    echo -e "\033[1;32;40m $1 \033[0m"
+  fi
+}
 
 # 參數詢問
Index: nutchez-0.2/src/test/client_install_func.sh
===================================================================
--- nutchez-0.2/src/test/client_install_func.sh	(revision 167)
+++ nutchez-0.2/src/test/client_install_func.sh	(revision 169)
@@ -38,6 +38,6 @@
   debug_info "check systemInfo"
   show_info "Your system information are:"
-Linux_Distribution=$(lsb_release -a 2> /dev/null | grep "Distributor ID:" | awk '{print $3}')
-Linux_Version=$(lsb_release -a 2> /dev/null | grep "Release" | awk '{print $2}')
+  Linux_Distribution=$(lsb_release -a 2> /dev/null | grep "Distributor ID:" | awk '{print $3}')
+  Linux_Version=$(lsb_release -a 2> /dev/null | grep "Release" | awk '{print $2}')
   show_info "$Linux_Distribution , $Linux_Version"
 }
@@ -225,5 +225,5 @@
     expect eof"
     else
-      echo "Create nutchuser and change password."
+      show_info "Create nutchuser and change password."
       useradd -m nutchuser -s /bin/bash
       expect -c "spawn passwd nutchuser
Index: nutchez-0.2/src/test/install_func.sh
===================================================================
--- nutchez-0.2/src/test/install_func.sh	(revision 167)
+++ nutchez-0.2/src/test/install_func.sh	(revision 169)
@@ -256,5 +256,6 @@
   show_info "mkdir nutchez_client_install"
   show_info "cd nutchez_client_install"
-  show_info "scp nutchuser@$Master_IP_Address:/home/nutchuser/nutchez/source/* ."
+  show_info "scp nutchuser@$MasterIP_Address:/home/nutchuser/nutchez/source/* ."
+  show_info "sudo su"
   show_info "./client_install"
 }
